# Package org.apache.jasper.el

Class Summary
ELContextImpl: Implementation of ELContext
ELContextWrapper: Simple ELContextWrapper for runtime evaluation of EL w/ dynamic FunctionMappers
ELResolverImpl: Deprecated.
ExpressionEvaluatorImpl: Deprecated.
ExpressionImpl: Deprecated.
FunctionMapperImpl: Deprecated.
JasperELResolver: Jasper-specific CompositeELResolver that optimizes certain functions to avoid unnecessary resolver calls.
JasperELResolver.GraalBeanELResolver: Extend ELResolver for Graal to avoid bean info use if possible, as BeanELResolver needs manual reflection configuration.
JspMethodExpression
JspValueExpression: Wrapper for providing context to ValueExpressions
VariableResolverImpl: Deprecated.

Exception Summary
JspELException
JspMethodNotFoundException
JspPropertyNotFoundException
JspPropertyNotWritableException